diff --git a/app/src/main/assets/fossil_hr/icHeart.rle b/app/src/main/assets/fossil_hr/icHeart.rle
new file mode 100644
index 000000000..ef8af6abd
--- /dev/null
+++ b/app/src/main/assets/fossil_hr/icHeart.rle
@@ -0,0 +1,2 @@
+L
+	
;ÿÿ
\ No newline at end of file
diff --git a/app/src/main/assets/fossil_hr/icSteps.rle b/app/src/main/assets/fossil_hr/icSteps.rle
new file mode 100644
index 000000000..745e08224
--- /dev/null
+++ b/app/src/main/assets/fossil_hr/icSteps.rle
@@ -0,0 +1,5 @@
+5
+

+
+
+6ÿÿ
\ No newline at end of file
diff --git a/app/src/main/assets/fossil_hr/icTrophy.rle b/app/src/main/assets/fossil_hr/icTrophy.rle
new file mode 100644
index 000000000..c53ab4278
--- /dev/null
+++ b/app/src/main/assets/fossil_hr/icTrophy.rle
@@ -0,0 +1 @@
+2
8ÿÿ
\ No newline at end of file
diff --git a/app/src/main/assets/fossil_hr/widgetHR.bin b/app/src/main/assets/fossil_hr/widgetHR.bin
new file mode 100644
index 000000000..2cf4965ac
Binary files /dev/null and b/app/src/main/assets/fossil_hr/widgetHR.bin differ
diff --git a/app/src/main/assets/fossil_hr/widgetHR_preview.png b/app/src/main/assets/fossil_hr/widgetHR_preview.png
new file mode 100644
index 000000000..72728a4ff
Binary files /dev/null and b/app/src/main/assets/fossil_hr/widgetHR_preview.png differ
diff --git a/app/src/main/assets/fossil_hr/widgetSteps.bin b/app/src/main/assets/fossil_hr/widgetSteps.bin
new file mode 100644
index 000000000..c7ea15671
Binary files /dev/null and b/app/src/main/assets/fossil_hr/widgetSteps.bin differ
diff --git a/app/src/main/assets/fossil_hr/widgetSteps_preview.png b/app/src/main/assets/fossil_hr/widgetSteps_preview.png
new file mode 100644
index 000000000..3b8e5d66d
Binary files /dev/null and b/app/src/main/assets/fossil_hr/widgetSteps_preview.png differ
diff --git a/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceDesignerActivity.java b/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceDesignerActivity.java
index 6dc1e1504..ab183d6cd 100644
--- a/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceDesignerActivity.java
+++ b/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceDesignerActivity.java
@@ -237,6 +237,13 @@ public class HybridHRWatchfaceDesignerActivity extends AbstractGBActivity implem
                                 case "weatherSSE":
                                     widgetName = "widgetWeather";
                                     break;
+                                case "stepsSSE":
+                                    widgetName = "widgetSteps";
+                                    break;
+                                case "hrSSE":
+                                    widgetName = "widgetHR";
+                                    break;
+
                             }
                             widgets.add(new HybridHRWatchfaceWidget(widgetName,
                                                                     layoutItem.getJSONObject("pos").getInt("x"),
diff --git a/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceFactory.java b/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceFactory.java
index 41c385682..8ea9ad2c8 100644
--- a/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceFactory.java
+++ b/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceFactory.java
@@ -71,6 +71,20 @@ public class HybridHRWatchfaceFactory {
                     widget.put("color", "white");
                     widget.put("bg", "_01.rle");
                     break;
+                case "widgetSteps":
+                    widget.put("type", "comp");
+                    widget.put("name", widgetDesc.getWidgetType());
+                    widget.put("goal_ring", false);
+                    widget.put("color", "white");
+                    widget.put("bg", "_02.rle");
+                    break;
+                case "widgetHR":
+                    widget.put("type", "comp");
+                    widget.put("name", widgetDesc.getWidgetType());
+                    widget.put("goal_ring", false);
+                    widget.put("color", "white");
+                    widget.put("bg", "_03.rle");
+                    break;
                 default:
                     LOG.warn("Invalid widget name: " + widgetDesc.getWidgetType());
                     return;
@@ -103,6 +117,8 @@ public class HybridHRWatchfaceFactory {
             code.put(watchfaceName, context.getAssets().open("fossil_hr/openSourceWatchface.bin"));
             code.put("widgetDate", context.getAssets().open("fossil_hr/widgetDate.bin"));
             code.put("widgetWeather", context.getAssets().open("fossil_hr/widgetWeather.bin"));
+            code.put("widgetSteps", context.getAssets().open("fossil_hr/widgetSteps.bin"));
+            code.put("widgetHR", context.getAssets().open("fossil_hr/widgetHR.bin"));
         } catch (IOException e) {
             LOG.warn("Unable to read asset file", e);
         }
@@ -118,6 +134,9 @@ public class HybridHRWatchfaceFactory {
             icons.put("icWthSnowy", context.getAssets().open("fossil_hr/icWthSnowy.rle"));
             icons.put("icWthStormy", context.getAssets().open("fossil_hr/icWthStormy.rle"));
             icons.put("icWthWindy", context.getAssets().open("fossil_hr/icWthWindy.rle"));
+            icons.put("icSteps", context.getAssets().open("fossil_hr/icSteps.rle"));
+            icons.put("icTrophy", context.getAssets().open("fossil_hr/icTrophy.rle"));
+            icons.put("icHeart", context.getAssets().open("fossil_hr/icHeart.rle"));
         } catch (IOException e) {
             LOG.warn("Unable to read asset file", e);
         }
diff --git a/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceWidget.java b/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceWidget.java
index bf34bf35f..a71f9a6d6 100644
--- a/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceWidget.java
+++ b/app/src/main/java/nodomain/freeyourgadget/gadgetbridge/devices/qhybrid/HybridHRWatchfaceWidget.java
@@ -38,6 +38,8 @@ public class HybridHRWatchfaceWidget {
         LinkedHashMap<String, String> widgetTypes = new LinkedHashMap<>();
         widgetTypes.put("widgetDate", "Date");
         widgetTypes.put("widgetWeather", "Weather");
+        widgetTypes.put("widgetSteps", "Steps");
+        widgetTypes.put("widgetHR", "Heart rate");
         return widgetTypes;
     }
 
